/// <reference types="react" />
import { Theme } from "@mui/material";
import { SxProps } from "@mui/system";
export declare type NerdAppBarProps = {
    title?: string;
    logo?: string;
    variant?: "dense" | "regular";
    content?: Array<NerdAppBarContent | JSX.Element>;
};
export declare type NerdAppBarContent = {
    title?: string;
    startIcon?: JSX.Element;
    endIcon?: JSX.Element;
    variant?: "text" | "outlined" | "contained";
    size?: "small" | "medium" | "large";
    sx?: SxProps<Theme>;
    nested?: Array<NerdAppBarNestedContent>;
    divider?: boolean;
    href?: string;
    callback?: (event: React.MouseEvent<HTMLButtonElement>) => void;
};
export declare type NerdAppBarNestedContent = {
    title?: string;
    subtitle?: string;
    icon?: JSX.Element | string;
    divider?: boolean;
    href?: string;
};
