import React from "react";
import { GridColDef } from "@mui/x-data-grid-pro";
import { GetAction, QueryBuilder } from "@nerdjs/nerd-network";
import { ActionCreatorWithPreparedPayload, Dispatch } from "@reduxjs/toolkit";
interface propsType {
    rows: object[];
    getRows: ActionCreatorWithPreparedPayload<[
        {
            [key: string]: unknown;
        }
    ], {
        id: string;
        createdAt: string;
        request: GetAction;
    }>;
    columns: GridColDef[];
    columnsVisibility?: {
        [key: string]: boolean;
    };
    /**
     * Map of column field and its corresponding searchMetadata name.
     */
    culumnsMatchingFilterName: Map<string, string>;
    onSelect?: (selectedRows: {
        [key: string]: unknown;
    }[]) => void;
    networkCompletionStack: Record<string, boolean>[];
    dispatch: Dispatch;
    queryBuilder: QueryBuilder;
    apiExportEndpoint?: string;
}
/**
 * NerdGrid component.
 *
 * @param {propsType} props nerdGrid props.
 * @returns {React.ReactElement} DataGrid wrapper with server-side filters.
 */
declare function NerdGrid(props: propsType): React.ReactElement;
export default NerdGrid;
